using System;

class Program
{
    static string Rezultat(int x, int y, int a, int b)
    {
        if (x < a && y > b)
        {
            return "?";
        }
        else if (x < a && y == b)
        {
            return "prvi";
        }
        else if (x > a && y < b)
        {
            return "?";
        }
        else if (x > a && y == b)
        {
            return "drugi";
        }
        else if (x == a && y < b)
        {
            return "prvi";
        }
        else if (x == a && y == b)
        {
            return "nijedan";
        }
        else
        {
            return "drugi";
        }
    }

    static void Main()
    {
        string[] trenutniRezultat = Console.ReadLine().Split(' ');
        string[] buduciRezultat = Console.ReadLine().Split(' ');

        int x = int.Parse(trenutniRezultat[0]);
        int y = int.Parse(trenutniRezultat[1]);

        int a = int.Parse(buduciRezultat[0]);
        int b = int.Parse(buduciRezultat[1]);

        Console.WriteLine(Rezultat(x, y, a, b));

        return;
    }
}